%define anolis_release 2
# Module Magic Number
%{!?_httpd_mmn: %global _httpd_mmn %(cat %{_includedir}/httpd/.mmn 2>/dev/null || echo 0-0)}

Summary:	module implementing HTTP/2 for Apache 2
Name:		mod_http2
Version:	1.15.28
Release:	%{anolis_release}%{?dist}

License:	ASL 2.0
URL:		https://icing.github.io/mod_h2/
Source0:	https://github.com/icing/mod_h2/releases/download/v%{version}/mod_http2-%{version}.tar.gz
Patch0:         mod_http2-1.14.1-buildfix.patch


BuildRequires:  make gcc pkgconfig autoconf libtool
BuildRequires:  httpd-devel >= 2.4.20, libnghttp2-devel >= 1.7.0, openssl-devel >= 1.0.2
BuildRequires:  /usr/bin/hostname
Requires:       httpd-mmn = %{_httpd_mmn}
Conflicts:      httpd < 2.4.25

%description
%{name} is an Apache module that enables HTTP/2 support for the
Apache web server. HTTP/2 is the latest version of the HTTP protocol
and provides significant performance improvements over its predecessor,
HTTP/1.1.

%{name} aims to simplify the implementation of HTTP/2 by providing a
drop-in replacement for Apache's mod_ssl module, which is used for
handling encrypted connections. It supports all the features of HTTP/2,
including server push, header compression, and binary framing.

By using %{name}, web developers can improve the loading speeds of
their websites, which can lead to better user experiences and higher
search engine rankings. It also provides better security by supporting
the latest encryption protocols and ciphers.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains the documentation for %{name}.

%prep
%autosetup -p1

%build
autoreconf -i
%configure --with-apxs=%{_httpd_apxs}
%make_build

%install
%make_install
rm -rf %{buildroot}/etc/httpd/share/doc/

# create configuration
mkdir -p %{buildroot}%{_httpd_modconfdir}
echo "LoadModule http2_module modules/mod_http2.so" > %{buildroot}%{_httpd_modconfdir}/10-h2.conf
echo "LoadModule proxy_http2_module modules/mod_proxy_http2.so" > %{buildroot}%{_httpd_modconfdir}/10-proxy_h2.conf

%files
%doc README.md
%license LICENSE
%config(noreplace) %{_httpd_modconfdir}/10-h2.conf
%config(noreplace) %{_httpd_modconfdir}/10-proxy_h2.conf
%{_httpd_moddir}/mod_http2.so
%{_httpd_moddir}/mod_proxy_http2.so

%files doc
%doc ChangeLog AUTHORS

%changelog
* Thu Apr 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.15.28-2
- optimize spec file

* Fri May 27 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.15.28-1
- init from upstream
